myapps:
  storage:
    root: /data/workspace/v5-runing/security-in-mysql/storage
  siteid:
  refresh:
    cache:
      profile: test-in-ws
  dynamic:
    domainId: PhqT76DE8a3ffsppSxr


server:
  port: 8094
  servlet:
    context-path: ${myapps.siteid}/obpm
    session:
      timeout: 3600


spring:
  datasource:
    url: jdbc:mysql://172.20.0.66:3306/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: bcx
    password: Wstestv5in#2022
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
  cloud:
    consul:
      discovery:
        enabled: true
        heartbeat:
          enabled: true
      host: 127.0.0.1
      port: 8500
  redis:
    host: 49.4.21.141
    port: 6685
    password: Rd20240628
#    database: 11
  jpa:
    database: mysql
    show-sql: false
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        default_schema:
logging:
  config: classpath:log4j2.xml

file:
  mode:
    useFtp: true
    host: 220.243.148.23
    userName: wstein-ftp
    password: Bcx#20221209
    port: 6211
    filePath: /data/wstein-ftp/snupload


# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.bcxin.runtime.**.entities
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql
